Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSVoIPConfigurationAudio Class Reference

`#import <CSVoIPConfigurationAudio.h>`

Inherits NSObject.

## Properties
BOOL | disableSilenceSup
int | dscpAudio
BOOL | automaticDscpConfigurationEnabled
int | firstPingInterval
int | periodicPingInterval
int | minPortRange
int | maxPortRange
int | dtmfPayloadType
int | opusPayloadType
NSArray * | codecList
CSVoiceActivityDetectionMode | voiceActivityDetectionMode
CSEchoCancellationMode | echoCancellationMode
CSEchoCancellationMobileMode | echoCancellationMobileMode
CSBackgroundNoiseGenerationMode | backgroundNoiseGenerationMode
CSNoiseSuppressionMode | transmitNoiseSuppressionMode
CSNoiseSuppressionMode | receiveNoiseSuppressionMode
CSAutomaticGainControlMode | transmitAutomaticGainControlMode
CSAutomaticGainControlMode | receiveAutomaticGainControlMode
CSOpusCodecProfileMode | opusMode
NSString * | toneFilePath
CSAutomaticGainControlConfiguration * | transmitAutomaticGainControlConfiguration
CSAutomaticGainControlConfiguration * | receiveAutomaticGainControlConfiguration
CSDSCPPrecedenceConfiguration * | dscpPrecedenceConfig
CSLayer2PriorityMarking | layer2PriorityMarking

## Property Documentation

- (BOOL) automaticDscpConfigurationEnabled
| read write nonatomic assign

- (CSBackgroundNoiseGenerationMode) backgroundNoiseGenerationMode
| read write nonatomic assign

- (NSArray*) codecList
| read write nonatomic strong

- (BOOL) disableSilenceSup
| read write nonatomic assign

- (int) dscpAudio
| read write nonatomic assign

- (CSDSCPPrecedenceConfiguration*) dscpPrecedenceConfig
| read write nonatomic copy

- (int) dtmfPayloadType
| read write nonatomic assign

- (CSEchoCancellationMobileMode) echoCancellationMobileMode
| read write nonatomic assign

- (CSEchoCancellationMode) echoCancellationMode
| read write nonatomic assign

- (int) firstPingInterval
| read write nonatomic assign

- (CSLayer2PriorityMarking) layer2PriorityMarking
| read write nonatomic assign

- (int) maxPortRange
| read write nonatomic assign

- (int) minPortRange
| read write nonatomic assign

- (CSOpusCodecProfileMode) opusMode
| read write nonatomic assign

- (int) opusPayloadType
| read write nonatomic assign

- (int) periodicPingInterval
| read write nonatomic assign

- (CSAutomaticGainControlConfiguration*) receiveAutomaticGainControlConfiguration
| read write nonatomic copy

- (CSAutomaticGainControlMode) receiveAutomaticGainControlMode
| read write nonatomic assign

- (CSNoiseSuppressionMode) receiveNoiseSuppressionMode
| read write nonatomic assign

- (NSString*) toneFilePath
| read write nonatomic copy

- (CSAutomaticGainControlConfiguration*) transmitAutomaticGainControlConfiguration
| read write nonatomic copy

- (CSAutomaticGainControlMode) transmitAutomaticGainControlMode
| read write nonatomic assign

- (CSNoiseSuppressionMode) transmitNoiseSuppressionMode
| read write nonatomic assign

- (CSVoiceActivityDetectionMode) voiceActivityDetectionMode
| read write nonatomic assign

The documentation for this class was generated from the following file:

- CSVoIPConfigurationAudio.h